html {
    scroll-behavior: smooth;
  }
  
  
  body {
    overflow-x: hidden;
    font-family: "Poppins", sans-serif;
    padding: 0;
    margin: 0;
    color: #212121;
  }
  
  
  a {
    text-decoration: none;
  }
  
  
  img {
    user-select: none;
    pointer-events: none;
    -webkit-user-drag: none;
  }
  
  
  section {
    min-height: 100vh;
  }
  
  
  .container {
    margin: 1rem 3rem;
  }
  
  
  
  
  /* Story Page */
  .story-page {
    background: linear-gradient(180deg, #FFBF5D -40.46%, #FFF 100%);
  }
  
  
  .btn-toggle {
    position: absolute;
    top: 3rem;
    right: 3rem;
    z-index: 10;
    background: white;
    border: none;
    border-radius: 50%;
    padding: 1rem 1rem;
    font-size: 1.2rem;
    cursor: pointer;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s ease;
  }
  
  
  body.dark-mode {
    background: linear-gradient(180deg, #A6DBE7 -40.46%, #FFF 100%);
  }
  
  
  .btn-toggle:hover {
    transform: scale(1.1);
  }
  
  
  body.dark-mode .story {
    filter: drop-shadow(0 0 26.376px rgba(140, 209, 224, 0.20));
  }
  
  
  body.dark-mode .story p {
    color: #212121;
  }
  
  
  body.dark-mode .title p {
    color: white;
    text-shadow: 0 -8.425px 46.713px rgba(86, 189, 210, 0.39);
  }
  
  
  body.dark-mode .story:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(86, 189, 210, 0.4);
  }
  
  
  body.dark-mode .story:active {
    transform: scale(0.97);
    box-shadow: 0 4px 15px rgba(86, 189, 210, 0.35);
  }
  
  
  .awan {
    position: absolute;
    width: 30rem;
    opacity: 0;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    pointer-events: none;
  }
  
  
  .awan-atas-kiri {
    top: 10%;
    left: -200px;
    animation-name: slideInLeft;
    animation-delay: 0.2s;
  }
  
  
  .awan-atas-kanan {
    top: 10%;
    right: -200px;
    animation-name: slideInRight;
    animation-delay: 0.4s;
  }
  
  
  .awan-bawah-kiri {
    bottom: 20%;
    left: -200px;
    animation-name: slideInLeft;
    animation-delay: 0.8s;
  }
  
  
  .awan-bawah-kanan {
    bottom: 20%;
    right: -200px;
    animation-name: slideInRight;
    animation-delay: 1s;
  }
  
  
  
  
  @keyframes slideInLeft {
    to {
      left: .5%;
      opacity: 1;
    }
  }
  
  
  @keyframes slideInRight {
    to {
      right: 0;
      opacity: 1;
    }
  }
  
  
  .btn-back {
    position: absolute;
    top: 3rem;
    left: 3rem;
    z-index: 10;
    display: inline-block;
  }
  
  
  .btn-back img {
    width: 1.8rem;
    height: 1.8rem;
    background-color: white;
    border-radius: 50%;
    padding: 1.2rem;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    transition: transform 0.2s ease;
    cursor: pointer;
  }
  
  
  .btn-back img:hover {
    transform: scale(1.1);
  }
  
  
  
  
  .sky {
    position: relative;
    width: 100%;
  }
  
  
  .mount {
    position: absolute;
    top: 50%;
  }
  
  
  @keyframes riseUp {
    0% {
      transform: translateY(100px);
      opacity: 0;
    }
  
  
    100% {
      transform: translateY(0);
      opacity: 1;
    }
  }
  
  
  .title p {
    position: absolute;
    top: 4%;
    left: 9%;
    font-size: 9rem;
    font-weight: 700;
    color: white;
    text-shadow: 0 -8.261px 42.087px #FFBF5A;
    animation: riseUp 1.8s ease-out forwards;
  }
  
  
  .judul-cerita {
    user-select: none !important;
    -webkit-user-select: none !important;
    -ms-user-select: none !important;
  }
  
  
  .down-wrapper {
    position: absolute;
    bottom: 12rem;
    left: 50%;
    transform: translateX(-50%);
  }
  
  
  .btn-down {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 1.4rem;
    text-decoration: none;
    color: white;
    background-color: rgba(255, 255, 255, 0.5);
    padding: .4rem 4rem;
    border-radius: 2rem;
    transition: background-color 0.3s ease, transform 0.3s ease;
    font-weight: 500;
  }
  
  
  .btn-down:hover {
    background-color: rgba(255, 255, 255, 0.7);
    transform: translateY(-2px);
  }
  
  
  .btn-down img {
    width: 1.5rem;
    height: 1.5rem;
  }
  
  
  
  
  .greetings {
    display: flex;
    align-items: center;
    padding-top: 2rem;
  }
  
  
  .greetings p {
    font-size: 2rem;
    font-weight: 600;
    color: #212121;
  }
  
  
  @keyframes glow {
    0% {
      filter: drop-shadow(0 0 10px #b71c1ca1);
    }
  
  
    100% {
      filter: drop-shadow(0 0 20px #dc3f3faf);
    }
  }
  
  
  .greetings img {
    animation: glow .6s ease-in-out infinite alternate;
  }
  
  
  .stories {
    padding-top: 2rem;
  }
  
  
  .story {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    padding: 1rem 4rem;
    margin: 3rem 0;
    border-radius: 2rem;
    filter: drop-shadow(0 0 21.284px rgba(255, 195, 92, 0.24));
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
  }
  
  
  .story:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(255, 201, 107, 0.4);
  }
  
  
  .story:active {
    transform: scale(0.97);
    box-shadow: 0 4px 15px rgba(255, 177, 76, 0.35);
  }
  
  
  .story p {
    font-size: 2rem;
    font-weight: 700;
    color: #212121;
    text-align: center;
  }
  
  
  
  
  .story p {
    font-size: 2rem;
    font-weight: 700;
    color: #212121;
  }
  
  
  /* Story Page end */
  
  
  /* Danau Toba Page */
  .danau-toba-page {
    background: linear-gradient(180deg, #FFF3E0 0%, #FFCD7D 100%);
  }
  
  
  .bg-white {
      background-color: white;
      margin: 4rem;
      border-radius: 2rem;
      position: relative;
      z-index: 0;
  }
  
  
  .header-title {
      position: relative;
      z-index: 2;
  }
  
  
  .header-title p:first-child {
      display: flex;
      justify-content: center;
      padding: 4rem 2rem 1rem 2rem;
      font-size: 3rem;
      font-weight: 700;
      margin: 0;
  }
  
  
  .header-title p:last-child {
      display: flex;
      justify-content: center;
      font-size: 1.2rem;
      font-weight: 550;
      margin: 0;
      padding-bottom: 2rem;
  }
  
  
  .audio-player {
      display: flex;
      justify-content: center;
      align-items: center;
      margin-top: 1rem;
      margin-bottom: 2rem;
  }
  
  
  .audio-player button {
      background: none;
      border: none;
      cursor: pointer;
      position: relative;
  }
  
  
  .audio-player button::after {
      content: "Dengarkan cerita";
      position: absolute;
      background-color: #FFBF5D;
      color: white;
      padding: 0.3rem 0.8rem;
      border-radius: 4px;
      font-size: 0.9rem;
      top: 3rem;
      left: 50%;
      transform: translateX(-50%);
      white-space: nowrap;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.2s ease;
      z-index: 3;
  }
  
  
  .audio-player button:hover::after {
      opacity: 1;
      visibility: visible;
  }
  
  
  #audio-player img {
      width: 3rem;
      height: 3rem;
      transition: transform 0.2s ease;
  }
  
  
  #audio-player img:hover {
      transform: scale(1.1);
  }
  
  
  .kisah-toba {
    padding: 0 3rem 2rem 3rem;
  }
  
  
  .kisah-toba p {
    line-height: 1.8;
    margin-bottom: 1rem;
  }
  
  
  .quiz-button-wrapper {
    display: flex;
    justify-content: center;
    padding-bottom: 4rem;
  }
  
  
  .btn-quiz {
    background-color: #FFBF5A;
    color: #fff;
    padding: 0.8rem 2rem;
    font-size: 1.2rem;
    font-weight: 600;
    border: none;
    border-radius: 2rem;
    text-decoration: none;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    transition: background-color 0.3s ease, transform 0.2s ease;
  }
  
  
  .btn-quiz:hover {
    background-color: #f0a936;
    transform: translateY(-2px);
  }
  
  
  .awan-danau {
      position: absolute;
      width: 30rem;
      opacity: 0;
      animation-duration: 2s;
      animation-fill-mode: forwards;
      pointer-events: none;
      z-index: 1;
  }
  
  
  .awan-danau-atas-kiri {
      top: 2%;
      left: -200px;
      animation-name: slideInLeft;
      animation-delay: 0.2s;
  }
  
  
  .awan-danau-atas-kanan {
      top: 6%;
      right: -200px;
      animation-name: slideInRight;
      animation-delay: 0.4s;
  }
  
  
  .awan-danau-bawah-kiri {
      top: 5%;
      left: -200px;
      animation-name: slideInLeft;
      animation-delay: 0.8s;
  }
  
  
  .awan-danau-bawah-kanan {
      top: 10%;
      right: -200px;
      animation-name: slideInRight;
      animation-delay: 1s;
  }
  
  
  /* Danau Toba End */
  
  